Subject: Re: bug#24740: 26.0.50; Bad signature for alist-get in elisp manual

From: Stephen Berman <[email-masked]>
Date: Thu, 20 Oct 2016 10:10:06 +0200

On Thu, 20 Oct 2016 10:49:04 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 20 Oct 2016 01:39:15 +0200
>> 
>> > -@defun alist-get key value &optional default remove
>> > +@defun alist-get key alist &optional default remove
>> >  This function is like @code{assq}, but instead of returning the entire
>> > -association for @var{key}, @code{(@var{key} . @var{value})}, it
>> > -returns just the @var{value}.  If @var{key} is not found in
>> > -@var{alist} it returns @var{default}.
>> > +association for @var{key} in @var{alist},
>> > +@w{@code{(@var{key} . @var{value})}}, it returns just the @var{value}.
>>                                                              ^^^^^^^^^^^
>> > +If @var{key} is not found in @var{alist}, it returns @var{default}.
>> 
>> Shouldn't the text be "it returns just the value", i.e. without the
>> markup, since `value' is no longer a formal argument of the function
>> signature?
>
> @var is not only for formal arguments, it's for any symbol which
> stands for something else.  That is why @var is also used in the cons
> cell description; it is not because KEY and VALUE happen to appear in
> the function argument list.

Ok, thanks for the clarification.  I think the distinction would be made
clearer if the definite article were omitted: "it returns just VALUE",
as it is in the subsequent sentence; the definite article makes it sound
to me more like a use than a mention.

Steve Berman